System Requirements

Tech Sheets

Operating System

Windows 10 32, 64-bit editions

.Net Framework 2.0+

Windows 8 32, 64-bit editions

.Net Framework 2.0+

Windows 7 32, 65-bit editions

.Net Framework 2.0+*

Windows Server 2008 32, 65-bit editions R1/R2

.Net Framework 2.0+*

Windows Vista 32, 65-bit editions

.Net Framework 2.0+*

Windows Server 2003 32, 65-bit editions

.Net Framework 2.0+*

Windows XP Pro 32, 65-bit editions

.Net Framework 2.0+*

Windows XP Home 32, 65-bit editions

.Net Framework 2.0+*

Windows 2000 Server Family

.Net Framework 2.0+*

Windows 2000 Professional

.Net Framework 2.0+*

Windows Me

Not supported

Windows 98

Not supported

Linux

Not supported

Linux

Not supported

* RadRichTextEditor, RadSpellChecker, RadPdfViewer, RadSpreadsheet and RadDiagram require .Net Framework 4.0


Hardware System Requirements

The Telerik UI for WinForms suite has the following system requirements: 

  • Processor: x86 or x64 1 GHz Pentium processor or equivalent (minimum); 1 GHz Pentium processor or equivalent (recommended)
  • RAM: 512 MB (minimum); 1 GB (recommended)
  • Display: 800 x 600, 256 colors (minimum); 1024 x 768 high color, 32-bit (recommended)
  • Hard disk: up to 1.5 GB of available space may be required
  • Microsoft mouse or compatible pointing device

Supported Development Tools

In order to develop applications with Telerik UI for WinForms you need to have installed the following development tools:

  • Microsoft Visual Studio 2019/2017/2015/2013/2012/2010/2008/2005 (.NET 3.5 for VS Extensions required)
  • .NET Framework 2.0, NET Framework 4.0, .NET 4.5, .NET 4.5.1, .NET 4.5.2 or .NET 4.6 - download .NET 4.0 from here, .NET 4.5 from here, .NET 4.5.1 from here, .NET 4.5.2 from here or .NET 4.6 from here

    .NET 4.7, .NET 4.7.1, .NET 4.7.2, .NET 4.8 are supported.

    Includes support for .NET Core, .NET 5 & .NET 6.

Note: Telerik controls are not automatically installed into any configuration of Visual Studio Express because the end-user license agreement (EULA) of VS Express does not allow third-party extensions to be registered.